<div class="page">
    <app-header [title]="'Edit User'" [back]="true"></app-header>
    <div class="info" *ngIf="user">
        <img class="avatar" [src]="user.avatar" alt="image">
        <form [formGroup]="editForm" class="details">
            <mat-form-field appearance="outline">
                <mat-label>First name</mat-label>
                <input matInput formControlName="first_name">
                <mat-error *ngIf="firstNameInput.hasError('required')">
                    First name is required
                </mat-error>
            </mat-form-field>
            <mat-form-field appearance="outline">
                <mat-label>Last name</mat-label>
                <input matInput formControlName="last_name">
                <mat-error *ngIf="lastNameInput.hasError('required')">
                    Last name is required
                </mat-error>
            </mat-form-field>
            <mat-form-field appearance="outline">
                <mat-label>eMail</mat-label>
                <input matInput placeholder="email@domain.com" formControlName="email">
                <mat-error *ngIf="emailInput.hasError('required')">
                    email is required
                </mat-error>
            </mat-form-field>
        </form>
        <button mat-raised-button
            color="primary"
            [routerLink]="['/edit', user.id]"
            [disabled]="editForm.invalid"
            (click)="Save()">
            Save
            <mat-icon>save</mat-icon>
        </button>
    </div>
    <mat-progress-spinner *ngIf="!user" [diameter]="40" mode="indeterminate"></mat-progress-spinner>
    <app-footer></app-footer>
</div>